"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configs = exports.rules = void 0;
var exist_variable_in_test_function_1 = require("./exist-variable-in-test-function");
var exist_variable_in_test_name_1 = require("./exist-variable-in-test-name");
var format_1 = require("./format");
exports.rules = {
    // テンプレートブロックの幅を揃えるルール
    'format': format_1.format,
    // テスト名に利用している変数がTaggedTemplateに存在するかチェックするルール
    'exist-variable-in-test-name': exist_variable_in_test_name_1.existVariableInTestName,
    // テストの関数の引数に利用している変数がTaggedTemplateに存在するかチェックするルール
    'exist-variable-in-test-function': exist_variable_in_test_function_1.existVariableInTestFunction
};
exports.configs = {
    recommended: {
        plugins: ['jest-test-each-formatting'],
        overrides: [
            {
                files: [
                    '*.test.*',
                    '*_test.*',
                    '*.spec.*',
                    '*_spec.*',
                    '**/__tests__/*'
                ],
                rules: {
                    'jest-test-each-formatting/format': 'warn',
                    'jest-test-each-formatting/exist-variable-in-test-name': 'warn',
                    'jest-test-each-formatting/exist-variable-in-test-function': 'warn'
                }
            }
        ]
    },
    strict: {
        plugins: ['jest-test-each-formatting'],
        overrides: [
            {
                files: [
                    '*.test.*',
                    '*_test.*',
                    '*.spec.*',
                    '*_spec.*',
                    '**/__tests__/*'
                ],
                rules: {
                    'jest-test-each-formatting/format': 'error',
                    'jest-test-each-formatting/exist-variable-in-test-name': 'error',
                    'jest-test-each-formatting/exist-variable-in-test-function': 'error'
                }
            }
        ]
    }
};
