"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTestEachVariables = void 0;
/**
 * test.eachの変数を取得する
 * @param node
 */
function getTestEachVariables(node, sourceCode) {
    // rangeとlocがなければ終了;
    var range = node.range, loc = node.loc;
    if (range === undefined || loc === null || loc === undefined) {
        return;
    }
    // test.eachでなければ終了
    var source = sourceCode.getText(node);
    if (!source.match(/^test\.each.*/)) {
        return;
    }
    // テンプレート文字列を取得
    var _a = node.quasi.quasis
        .map(function (m) { return m.value.raw.replace(/ /g, '').replace(/\r/g, '').replace(/\n/g, ''); })
        .filter(function (f) { return f !== ''; }), headerArray = _a[0], templateString = _a.slice(1);
    var header = headerArray.split('|');
    return {
        range: range,
        loc: loc,
        source: source,
        header: header,
        splitCharCount: templateString.length
    };
}
exports.getTestEachVariables = getTestEachVariables;
